@media (min-width: 1024px) and (max-width:1439px) {

    /* Home Page Responsiveness */
    header {
        padding: 18px;
        height: 60px;
    }

    .logo {
        font-size: 29px;
        padding-top: 9px;
    }

    nav ul {
        display: flex;
        justify-content: flex-end;
        align-items: center;
    }

    nav ul li {
        font-size: 20px;
    }

    nav ul li a {
        height: 100%;
        padding: 0 30px;
        display: flex;
        align-items: center;
    }

    #hero {
        height: 500px;
        /* background-position: center center; */
        background-size: cover;
    }

    #hero h1 {
        font-size: 40px;
        margin-left: 409px;

    }

    #hero p {
        font-size: 22px;
        margin-left: 439px;
    }

    #hero .btn-products {
        font-size: 15px;
        margin-top: 6px;
        width: 185px;
        padding: 10px;




    }

    .btn-products a {
        font-size: 18px;
    }

    /* About Section Styling */
    #AboutUs {
        margin-left: 80px;
    }

    #AboutUs h1 {
        font-size: 2.5rem;
        margin-bottom: 25px;
    }

    #AboutUs p {
        font-size: 1.3rem;
        margin-bottom: 18px;
    }

    .software-head h2 {
        font-size: 35px;
        margin-top: 15px;
        margin-bottom: 2px;
    }

    .pic {
        display: flex;
        width: 40vw;
        margin-top: 30px;
    }

    .btn-contact {
        font-size: 19px;
        padding: 11px 20px;
        margin-right: 8px;
    }

    /* Designs Scetion Styling */
    #products {
        padding: 30px 0 14px 7px;
        margin-left: 86px;
        margin-right: 50px;
    }

    #products h2 {
        font-size: 2.5rem;
    }

    .design-s {
        width: 260px;
        height: 295px;
    }

    /* E-Commerce Section Styling */
    #ecommerce {
        padding: 28px 0 20px 11px;
        margin-left: 75px;
    }

    #ecommerce h1 {
        font-size: 2.5rem;
        margin-bottom: 40px;
    }

    .E-Commerce-intro {
        font-size: 1.8rem;
        margin-left: 55px;
        margin-bottom: 17px;
    }

    .ecommerce-intro-para {
        font-size: 1.4em;
        margin-left: 80px;
        margin-bottom: 17px;

    }

    .E-Commerce-Example {
        font-size: 2.3rem;
        margin-left: 63px;
        margin-bottom: 24px;
    }

    .container3 {
        display: flex;
        justify-content: space-around;
        flex-wrap: wrap;
        margin-left: 69px;
        margin-bottom: 50px;
        margin-right: 25px;


    }

    .ecommerce-product {
        width: 220px;
    }
    /* Contact Us Responsive */
    #contact {
        padding: 25px 0 18px 20px;
        margin-left: 150px;
    }

    #contact .contact-head {
        font-size: 1.7rem;
        margin: 8px 0 30px 0;
    }

    .get {
        font-size: 25px;
    }

    form h3 {
        font-size: 25px;
        margin: 15px 0;
    }

    form {
        width: 400px;

    }

    input {
        width: 380px;
        height: 15px;
        margin: 18px 0;
        font-size: 18px;


    }

    textarea {
        width: 380px;
        height: 30px;
        margin: 18px 0;
        font-size: 18px;
    }

    .contact-form button {
        width: 150px;
        padding: 18px;
        margin: 18px 0;
    }
     /* Social Media Responsive */
     .socio-container h3 {
        font-size: 30px;
        margin: 15px;
    }

    .social-media {
        margin-top: 25px;
        gap: 40px;
    }

    .social-media img {
        width: 60px;
    }

    /* footer Responsive */
    footer p {
        padding: 30px;
        font-size: 20px;
    }






}

@media (min-width: 801px) and (max-width: 1023px) {

    /* Home Page Responsiveness */
    header {
        padding: 15px;
        height: 55px;
    }

    .logo {
        font-size: 26px;
        padding-top: 11px;
        padding-left: 12px;
    }

    nav ul {
        display: flex;
        justify-content: flex-end;
        align-items: center;
    }

    nav ul li {
        font-size: 19px;
    }

    nav li:first-child {
        margin-right: auto;
    }
    nav ul li a{
        padding: 0 12px
    }

    #hero {
        height: 400px;
        /* background-position: center center; */
        background-size: cover;
    }

    #hero h1 {
        font-size: 33px;
        margin-left: 320px;
    }

    #hero p {
        font-size: 19px;
        margin-left: 337px;
    }

    #hero .btn-products {
        font-size: 15px;
        margin-top: 6px;
        width: 158px;
        padding: 8px;


    }

    .btn-products a {
        font-size: 16px;
    }

    /* About Section Styling */
    #AboutUs {
        margin-left: 50px;
        margin-right: 16px;
    }

    #AboutUs h1 {
        font-size: 2.4rem;
        margin-bottom: 17px;
    }

    #AboutUs p {
        font-size: 1.2rem;
        margin-bottom: 13px;
    }

    .software-head h2 {
        font-size: 31px;
        margin-top: 12px;
        margin-bottom: 6px;
    }

    .pic {
        display: flex;
        width: 48vw;
        margin-top: 20px;
    }

    .pic img {
        width: 70px;
    }

    .btn-contact {
        font-size: 16px;
        padding: 11px 22px;
        margin-right: 0px;
    }

    /* Design Section Styling */
    #products {
        padding: 31px 0 14px 5px;
        margin-left: 79px;
        margin-right: 20px;
    }

    #products h2 {
        font-size: 2.4rem;
    }

    .design-s {
        width: 196px;
        height: 194px;
    }

    /* E-Commerce Section Styling */
    #ecommerce {
        padding: 30px 0 20px 3px;
        margin-left: 78px;
    }

    #ecommerce h1 {
        font-size: 2.4rem;
        margin-bottom: 40px;
    }

    .E-Commerce-intro {
        font-size: 1.6rem;
        margin-left: 34px;
        margin-bottom: 12px;
    }

    .ecommerce-intro-para {
        font-size: 1.2em;
        margin-left: 58px;
        margin-bottom: 15px;

    }

    .E-Commerce-Example {
        font-size: 2.1rem;
        margin-left: 33px;
        margin-bottom: 23px;
    }

    .container3 {
        display: flex;
        justify-content: space-around;
        flex-wrap: wrap;
        margin-left: 49px;
        margin-bottom: 50px;
        margin-right: 36px;


    }

    .ecommerce-product {
        width: 212px;
    }
    /* Contact Us Responsive */
    #contact {
        padding: 20px 0 14px 18px;
        margin-left: 100px;
    }

    #contact .contact-head {
        font-size: 1.5rem;
        margin: 5px 0 25px 0;
    }

    .get {
        font-size: 25px;
    }

    form h3 {
        font-size: 20px;
        margin-bottom: 15px;

    }

    form {
        width: 250px;
    }

    input {
        width: 280px;
        height: 10px;
        /* padding: 15px; */
        margin: 15px 0;
        font-size: 15px;
    }

    textarea {
        width: 280px;
        height: 16px;
        /* padding: 15px; */
        margin: 15px 0;
        font-size: 15px;
    }

    .contact-form button {
        width: 120px;
        padding: 13px;
        margin: 15px 0;
    }
     /* Social Media Responsive */
    .socio-container h3 {
        font-size: 25px;
        margin: 10px;
    }

    .social-media {
        margin-top: 20px;
        gap: 40px;
    }

    .social-media img {
        width: 60px;
    }

    /* footer Responsive */
    footer p {
        padding: 24px;
        font-size: 22px;
        padding-left: 112px;
    }

}
    /* Mobile Large */

@media (min-width: 425px) and (max-width:800px) {
    /* Home Page Responsiveness */

    .logo {
        font-size: 21px;
        padding-top: 13px;

    }

    #hero {
        height: 283px;
        /* background-position: center center; */
        background-size: cover;
    }

    #hero h1 {
        font-size: 19px;
        margin-left: 144px;
    }

    #hero p {
        font-size: 13px;
        margin-left: 167px;
    }

    #hero .btn-products {
        font-size: 13px;
        margin-top: 2px;
        width: 118px;
        padding: 6px
    }

    .btn-products a {
        font-size: 12px;
    }

    /* About Section Styling */
    #AboutUs {
        margin-left: 32px;
        margin-right: 14px;
    }

    #AboutUs h1 {
        font-size: 2.3rem;
        margin-bottom: 14px;
    }

    #AboutUs p {
        font-size: 1.1rem;
        margin-bottom: 9px;
    }

    .software-head h2 {
        font-size: 26px;
        margin-top: 11px;
        margin-bottom: 5px;
    }

    .pic {
        display: flex;
        width: 70vw;
        margin-top: 27px;
    }

    .pic img {
        width: 57px;
    }

    .btn-contact {
        font-size: 15px;
        padding: 14px 2px;
        margin-right: 0px
    }

    /* Design Section Styling */
    #products {
        padding: 30px 0 14px 2px;
        margin-left: 56px;
    }

    #products h2 {
        font-size: 2.3rem;
    }

    .container2 {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }

    .design-s {
        width: 212px;
        height: 210px;
    }

    /* E-Commerce Section Styling */
    #ecommerce {
        padding: 30px 0 20px 3px;
        margin-left: 55px;
    }

    #ecommerce h1 {
        font-size: 2.3rem;
        margin-bottom: 20px;
    }

    .E-Commerce-intro {
        font-size: 1.4rem;
        margin-left: 22px;
        margin-bottom: 11px;
    }

    .ecommerce-intro-para {
        font-size: 1.2rem;
        margin-left: 39px;
        margin-bottom: 15px;

    }

    .E-Commerce-Example {
        font-size: 1.8rem;
        margin-left: 18px;
        margin-bottom: 27px;
    }

    .container3 {
        display: flex;
        justify-content: space-around;
        flex-wrap: wrap;
        margin-left: 30px;
        margin-bottom: 50px;
        margin-right: 54px;
        gap: 25px;


    }

    .ecommerce-product {
        width: 180px;
    }
    /* Contact Us Responsive */
    #contact {
        padding: 18px 0 10px 14px;
        margin-left: 80px;
    }

    #contact .contact-head {
        font-size: 1.2rem;
        margin: 5px 0 22px 0;
    }

    .get {
        font-size: 20px;
    }

    form h3 {
        font-size: 23px;
        margin-bottom: 12px;

    }

    form {
        width: 230px;
    }

    input {
        width: 250px;
        height: 8px;
        /* padding: 15px; */
        margin: 12px 0;
        font-size: 16px;
    }

    textarea {
        width: 250px;
        height: 20px;
        /* padding: 15px; */
        margin: 12px 0;
        font-size: 16px;
    }

    .contact-form  button {
        width: 100px;
        padding: 10px;
        margin: 13px 0;
    }
    .contact-form{
        margin-right: 40px;
    }
    /* Social Media Responsive */
     .socio-container h3 {
        font-size: 23px;
        margin: 10px;
        margin-right: 41px;
    }

    .social-media {
        margin-top: 20px;
        gap: 30px;
        margin-right: 24px;
    }

    .social-media img {
        width: 49px;
    }

    /* footer Responsive */
    footer p {
        padding: 20px;
        font-size: 15px;
        padding-left: 70px;
    }

}
/* Mobile Medium */
@media (min-width: 375px) and (max-width:424px) {

    /* Home Page Responsiveness */
    .logo {
        font-size: 19px;
        padding-top: 14px;

    }

    #hero {
        height: 255px;
        /* background-position: center center; */
        background-size: cover;
    }

    #hero h1 {
        font-size: 17px;
        margin-left: 126px;
    }

    #hero p {
        font-size: 10px;
        margin-left: 154px;
    }

    #hero .btn-products {
        font-size: 13px;
        margin-top: 2px;
        width: 100px;
        padding: 4px;


    }

    .btn-products a {
        font-size: 10px;
    }

    /* About Section Styling */
    #AboutUs {
        margin-left: 32px;
        margin-right: 14px;
    }

    #AboutUs h1 {
        font-size: 2.3rem;
        margin-bottom: 14px;
    }

    #AboutUs p {
        font-size: 1.1rem;
        margin-bottom: 9px;
    }

    .software-head h2 {
        font-size: 26px;
        margin-top: 11px;
        margin-bottom: 5px;
    }

    .pic {
        display: flex;
        width: 70vw;
        margin-top: 27px;
    }

    .pic img {
        width: 57px;
    }

    .btn-contact {
        font-size: 14px;
        padding: 10px 5px 10px 11px;
        margin-right: 0px;
        width: 107px
    }

    /* Design Section Styling */
    #products {
        padding: 30px 0 14px 2px;
        margin-left: 56px;
    }

    #products h2 {
        font-size: 2.3rem;
    }

    .container2 {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }

    .design-s {
        width: 212px;
        height: 210px;
    }

    /* E-Commerce Section Styling */
    #ecommerce {
        padding: 26px 0 20px 0px;
        margin-left: 35px;
    }

    #ecommerce h1 {
        font-size: 2.1rem;
        margin-bottom: 20px;
    }

    .E-Commerce-intro {
        font-size: 1.3rem;
        margin-left: 17px;
        margin-bottom: 11px;
    }

    .ecommerce-intro-para {
        font-size: 1.1rem;
        margin-left: 29px;
        margin-bottom: 15px;

    }

    .E-Commerce-Example {
        font-size: 1.6rem;
        margin-left: 22px;
        margin-bottom: 27px;
    }

    .container3 {
        display: flex;
        justify-content: space-around;
        flex-wrap: wrap;
        margin-left: 22px;
        margin-bottom: 50px;
        margin-right: 53px;


    }

    .ecommerce-product {
        width: 160px;
    }
    
    /* Contact Us Responsive */
    #contact {
        padding: 15px 0 8px 12px;
        margin-left: 60px;
    }

    #contact .contact-head {
        font-size: 1.1rem;
        margin: 3px 0 18px 0;
    }

    .get {
        font-size: 18px;
    }

    form h3 {
        font-size: 16px;
        margin-bottom: 10px;

    }

    form {
        width: 200px;
    }

    input {
        width: 230px;
        height: 6px;
        /* padding: 15px; */
        margin: 10px 0;
        font-size: 15px;
    }

    textarea {
        width: 230px;
        height: 12px;
        /* padding: 15px; */
        margin: 10px 0;
        font-size: 15px;
    }

    .contact-form button {
        width: 80px;
        padding: 8px;
        margin: 10px 0;
    }

    /* Social Media Responsive */
    .socio-container h3 {
        font-size: 25px;
        margin: 8px;
        margin-right: 28px;
    }

    .social-media {
        margin-top: 18px;
        gap: 27px;
        margin-right: 17px;
    }

    .social-media img {
        width: 35px;
    }

    /* footer Responsive */
    footer p {
        padding: 18px;
        font-size: 14px;
        padding-left: 30px;
    }


}
/* Small Mobile */

@media (min-width: 320px) and (max-width:374px) {

    /* Home Page Responsiveness */
    .logo {
        font-size: 14px;
        padding-top: 8px;

    }

    header {
        padding: 15px;
        height: 42px;
    }

    .menubutton a svg {
        padding-bottom: 20px;


    }

    #hero {
        height: 236px;
        /* background-position: center center; */
        background-size: cover;
    }

    #hero h1 {
        font-size: 14px;
        margin-left: 110px
    }

    #hero p {
        font-size: 9px;
        margin-left: 120px;
    }

    #hero .btn-products {
        font-size: 10px;
        margin-top: -2px;
        width: 93px;
        padding: 6px;


    }

    .btn-products a {
        font-size: 9px;
    }

    #AboutUs {
        margin-left: 15px;
        margin-right: 17px;
    }

    #AboutUs h1 {
        font-size: 2rem;
        margin-bottom: 14px;
    }

    #AboutUs p {
        font-size: 1rem;
        margin-bottom: 9px;
    }

    .software-head h2 {
        font-size: 22px;
        margin-top: 9px;
        margin-bottom: 1px;

    }

    .pic {
        display: flex;
        width: 70vw;
        margin-top: 27px;
    }

    .pic img {
        width: 47px;
    }

    .btn-contact {
        font-size: 11px;
        padding: 11px 0px 10px 0px;
        margin-right: 0px;
        width: 108px;
    }

    /* Design Section Styling */
    #products {
        padding: 30px 0 14px 2px;
        margin-left: 32px;
    }

    #products h2 {
        font-size: 2.2rem;
    }

    .container2 {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }

    .design-s {
        width: 200px;
        height: 198px;
    }

    /* E-Commerce Section Styling */
    #ecommerce {
        padding: 26px 0 20px 0px;
        margin-left: 24px;

    }

    #ecommerce h1 {
        font-size: 2rem;
        margin-bottom: 20px;
    }

    .E-Commerce-intro {
        font-size: 1.1rem;
        margin-left: 12px;
        margin-bottom: 11px;
    }

    .ecommerce-intro-para {
        font-size: 1rem;
        margin-left: 25px;
        margin-bottom: 15px;

    }

    .E-Commerce-Example {
        font-size: 1.4rem;
        margin-left: 16px;
        margin-bottom: 27px;
    }

    .container3 {
        display: flex;
        justify-content: space-around;
        flex-wrap: wrap;
        margin-left: 19px;
        margin-bottom: 50px;
        margin-right: 43px;


    }

    .ecommerce-product {
        width: 140px;
    }
    #contact {
        padding: 12px 0 6px 10px;
        margin-left: 20px;
    }

    #contact .contact-head {
        font-size: 1rem;
        margin: 2px 0 16px 0;
    }

    .get {
        font-size: 16px;
    }

    form h3 {
        font-size: 21px;
        margin-bottom: 11px;

    }

    form {
        width: 180px;
    }

    input {
        width: 210px;
        height: 4px;
        /* padding: 15px; */
        margin: 8px 0;
        font-size: 15px;
    }

    textarea {
        width: 210px;
        height: 10px;
        /* padding: 15px; */
        margin: 8px 0;
        font-size: 15px;
    }

    .contact-form button {
        width: 73px;
        padding: 10px;
        margin: 8px 0;
        font-size: 13px;
    }
    /* Social Media Responsive */
    .socio-container h3 {
        font-size: 21px;
        margin: 6px;
    }

    .social-media {
        margin-top: 16px;
        gap: 22px;
    }

    .social-media img {
        width: 40px;
    }

    /* footer Responsive */
    footer p {
        padding: 33px;
        font-size: 13px;
    }


}

/* For screens smaller than 768px */
@media (max-width: 768px) {
    .container4 {
        flex-direction: column; /* Stack products vertically */
        align-items: center;
    }

    .other-product-link {
        max-width: 90%; /* Make product cards wider on smaller screens */
    }
    .note a{
    color: black;
    font-size: 20px;
    text-decoration: none;
    }
}

/* For screens even smaller, e.g., mobile */
@media (max-width: 480px) {
    #other-products h1 {
        font-size: 2em;
    }

    .other-products-intro-para {
        font-size: 1em;
    }
     .note a{
    color: black;
    font-size: 18px;
    text-decoration: none;
    }
}